Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface Snapshot

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SnapshotImpl

    public interface Snapshot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Snapshot'. Model root.

The following features are supported:

- `Timestamp`
- `Elements`
- `Jvm Id`

See Also:
  `SnapshotPackage.getSnapshot()`

Method Summary
`org.eclipse.emf.common.util.EList<SnapshotElement>` | `getElements()` Returns the value of the 'Elements' containment reference list.
`String` | `getJvmId()` Returns the value of the 'Jvm Id' attribute.
`Date` | `getTimestamp()` Returns the value of the 'Timestamp' attribute.
`void` | `setJvmId(String value)` Sets the value of the '`Jvm Id`' attribute.
`void` | `setTimestamp(Date value)` Sets the value of the '`Timestamp`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTimestamp

    Date getTimestamp()

  Returns the value of the 'Timestamp' attribute.

  If the meaning of the 'Timestamp' attribute isn't clear, there really should be more of a description here...

  Time when snapshot was taken.

  Returns:
    the value of the 'Timestamp' attribute.
  See Also:
    `setTimestamp(Date)`, `SnapshotPackage.getSnapshot_Timestamp()`

### setTimestamp

    void setTimestamp(Date value)

  Sets the value of the '`Timestamp`' attribute.

  Parameters:
    `value` - the new value of the 'Timestamp' attribute.
  See Also:
    `getTimestamp()`

### getElements

    org.eclipse.emf.common.util.EList<SnapshotElement> getElements()

  Returns the value of the 'Elements' containment reference list. The list contents are of type `SnapshotElement`. It is bidirectional and its opposite is '`Snapshot`'.

  If the meaning of the 'Elements' containment reference list isn't clear, there really should be more of a description here...

  Snapshot elements.

  Returns:
    the value of the 'Elements' containment reference list.
  See Also:
    `SnapshotPackage.getSnapshot_Elements()`, `SnapshotElement.getSnapshot()`

### getJvmId

    String getJvmId()

  Returns the value of the 'Jvm Id' attribute.

  If the meaning of the 'Jvm Id' attribute isn't clear, there really should be more of a description here...

  ID of the JVM in which snapshot was taken.

  Returns:
    the value of the 'Jvm Id' attribute.
  See Also:
    `setJvmId(String)`, `SnapshotPackage.getSnapshot_JvmId()`

### setJvmId

    void setJvmId(String value)

  Sets the value of the '`Jvm Id`' attribute.

  Parameters:
    `value` - the new value of the 'Jvm Id' attribute.
  See Also:
    `getJvmId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD